using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace TestCasePlanner.Helpers
{
    public static class AlertHelper
    {
        public static Tuple<int, string> Process(ReturnedMessage? message)
        {
            if (message == ReturnedMessage.ActiveProjectDeleteFailure)
            {
                return new Tuple<int, string>(0, Resources.Resources.UnableToDeleteActiveProject);
            }
            else if (message == ReturnedMessage.ProjectDeleteSuccess)
            {
                return new Tuple<int, string>(1, Resources.Resources.ProjectDeleteSuccess);
            }
            else
            {
                return new Tuple<int, string>(0, string.Empty);
            }
        }
    }

    public enum ReturnedMessage
    {
        ActiveProjectDeleteFailure,
        ProjectDeleteSuccess
    }
}